/*
 *  Copyright 2010 johan.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */

package nu.zoom.catonine.xml;

import java.util.regex.Pattern;
import javax.xml.bind.annotation.adapters.XmlAdapter;

/**
 * Adapter to de-/serialize a Pattern to a string.
 * 
 * @see Pattern
 * 
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 */
public class JAXBPatternAdapter extends XmlAdapter<String, Pattern> {

	@Override
	public Pattern unmarshal(String v) throws Exception {
		return Pattern.compile(v, Pattern.DOTALL);
	}

	@Override
	public String marshal(Pattern v) throws Exception {
		return v.toString();
	}

}
